commit:     7c6a8152a75639cad0ab187a04bed54520d7ce17
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 25 21:32:07 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jun 25 21:45:03 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c6a8152

dev-python/pyclipper: Bump to 1.3.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pyclipper/Manifest               |  1 +
 dev-python/pyclipper/pyclipper-1.3.0.ebuild | 30 +++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-python/pyclipper/Manifest b/dev-python/pyclipper/Manifest
index 1e643e5e02e..e1094370854 100644
--- a/dev-python/pyclipper/Manifest
+++ b/dev-python/pyclipper/Manifest
@@ -1 +1,2 @@
 DIST pyclipper-1.2.1.tar.gz 51862 BLAKE2B 
be59011d44ba4364e3e0d1d789c10f76635a5bc690dad8030104fa7965cc118e3529bf6505e5c4e743a8ff21e0d24129be716cd91e09b7521baa64359de364ab
 SHA512 
0fc411bd8fa33fc3e5a71ec149b720b5c2f2e9a5e704d5e175b5930e0e073bacfd26b68e19c00802ab68e7a8946bdfcacae858e2d6d81b87d85b3747fa4a316b
+DIST pyclipper-1.3.0.tar.gz 51405 BLAKE2B 
a7a3e81452c8178d907528b7595fb92521dfb039a6ea116d7f189639ea2975d8058ac1f685a211c98be921c41a694d89f7f431264dfe366e3acc842b25d670f4
 SHA512 
bee6c5f835e84baa65cbca1d812219bd94272010bbeed365b3835ef3d191042129fdcccdd85ce7841f60f46cbfd52edd270d108ff81d64b0ca712c1369394d40

diff --git a/dev-python/pyclipper/pyclipper-1.3.0.ebuild 
b/dev-python/pyclipper/pyclipper-1.3.0.ebuild
new file mode 100644
index 00000000000..3bbd1db8a19
--- /dev/null
+++ b/dev-python/pyclipper/pyclipper-1.3.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Cython wrapper for the C++ translation of the Angus Johnson's 
Clipper library"
+HOMEPAGE="https://github.com/fonttools/pyclipper";
+SRC_URI="https://github.com/fonttools/pyclipper/archive/${PV/_p/.post}.tar.gz 
-> ${P}.tar.gz"
+S="${WORKDIR}/${P/_p/.post}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE=""
+
+BDEPEND="
+       dev-python/cython[${PYTHON_USEDEP}]
+       dev-python/setuptools_scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       sed -i -e 's:from unittest2:from unittest:' tests/test_pyclipper.py || 
die
+       distutils-r1_src_prepare
+       export SETUPTOOLS_SCM_PRETEND_VERSION="${PV/_p/.post}"
+}

Reply via email to